import React, { PureComponent } from "react";
import { connect } from "dva";
import styles from "./index.less";
import router from "umi/router";
import PageHead from "components/PageHead";

// import router from "umi/router";
class Edit extends PureComponent {
  rederVideo = () => {
    //   const { editModel:{currentTemplateInfo} } =this.props
    //   return <video src={currentTemplateInfo.demo_video} controls className={styles.detail}></video>
  };

  handleButtonClick = () => {
    const { location } = this.props;
    router.push({
      pathname: "/compile",
      query: {
        ...location.query,
      },
    });
  };

  render() {
    // const { rederVideo} = this;

    const {
      editModel: { currentTemplateInfo, parseManage ,feg},
    } = this.props;
    // console.log(window.innerHeight);
    let sty={}
    if(feg===0){
      sty={
        height:'100%'
      }
    }
    return (
      <div>
        <PageHead page="2"></PageHead>
        <section
          className={styles.content}
          style={{
            height: `${window.innerHeight * 0.65}px`,
            display: "flex",
            alignItems: "center",
            justifyContent: "center",
          }}
        >
          <div className={styles.showDetail}>
            {/*  <img src="" alt="">  */}
            {/* {rederVideo()} */}
            {currentTemplateInfo === null ? null : (
              <video
                src={currentTemplateInfo.template_demo_video}
                playsInline={true}
                style={sty}
                webkit-playsinline="true"
                controls
                autoPlay="autoplay"
                className={styles.detail}
              ></video>
            )}
          </div>
        </section>
        <div className={styles.sarbor}>
          <div className={styles.temData}>
            <div className={styles.temName}>
              <div>
                {/* <strong>模板名称:</strong> */}
                {currentTemplateInfo === null ? null : (
                  <strong>{currentTemplateInfo.template_name}</strong>
                )}
              </div>
              {parseManage === null ? null : (
                <span className={styles.temData}>时长{parseManage.totalTime}s</span>
              )}
            </div>
            <div className={styles.recepleDetail}>
              <div>
                {parseManage === null ? null : (
                  <span style={{ marginRight: "20px" }}>
                    可替换<span>{parseManage.counter.totalCount}</span>个素材
                  </span>
                )}
              </div>
              {parseManage === null ? null : (
                <div className="r_d_sub">
                  <span>{parseManage.counter.imageCount}</span>
                  <span>个图片，</span>
                  <span>{parseManage.counter.textCount}</span>
                  <span>个文字</span>
                </div>
              )}
            </div>
          </div>
          <div className={styles.div_btn}>
            <button className={styles.btn} onClick={this.handleButtonClick}>
              立即制作
            </button>
          </div>
        </div>
      </div>
    );
  }
}

const stateToProps = state => ({
  editModel: state["edit"],
});

export default connect(stateToProps)(Edit);
