### VE 视频引擎，小程序sdk/demo 

该程序提供了一个简易的编辑器，在用户编辑上传好素材后，可以提交任务到 VECloud 提供的渲染服务，
等待渲染完成后，用户可以看到渲染的视频。

**测试程序使用了 VECloud 的存储和测试渲染服务，VECloud 会定期清空测试数据和文件**

### 使用步骤
+ 打开project.config.json文件中找到 appid, 替换成你的 appid
+ 点击预览, 进入之后点击右上角左边的三个点, 打开性能调试, 在重新打开既可以看到效果
+ **关于pages/index中的所有接口, 现在都没有校验合法域名, 真正项目上线需要填入小程序管理的合法域名中

### 小程序目录
```
  ├── README.md                     // 小程序解析
  ├── app.js 					    // 公用的提醒dialog	
  ├── app.json                      // 全局路由配置
  ├── app.wxss
  ├── project.config.json         
  ├── sitemap.json 
  ├── utils                    	    // 工具类
  │   ├── affine.js 			    // 矩阵仿射变换支持
  │   ├── cropCanvas.js			  // 生成随机数
  |   ├── ParseConfig.js			// 解析 组装数据
  |   ├── ReplaceableJson.js	// 替换json
  |   ├── Upload.js			      // 上传组件
  |   ├── veditor.js			    // 公共方法
  │   └── util.js 				    // 排序方法
  ├── pages                    	    // 页面
  │   ├── index	 				    // 引导页
  │   ├── make               	    // 原视频预览页
  │   ├── edit              	    // 模板上传替换示例
  │   └── video             	    // 上传完成后视频示例
  └── assets					    // 静态资源
```

### 小程序sdk3.0.0 release
+ index  --- 引导页
+ make ---  原视频预览页
+ edit ---模板上传替换示例
+ video --- 上传完成后视频示例
