App({
  onLaunch: function () {},
  globalData: {},
  all: {},
  hostUrl: 'https://phpsdk.atvideo.cc',
  sourceHost: 'https://web-demo-source.atvideo.cc/',
  // loading，防穿透,使用wx.hideLoading()解除
  loading: function (msg = '渲染中') {
    wx.showLoading({
      title: msg,
      mask: true,
    })
  },
  // 底部信息错误提示
  showMessage: function (msg) {
    if (!msg) {
      wx.showToast({
        mask: true,
        title: '刷新重试',
        duration: 1200,
        image: '/images/error.png',
      })
    } else {
      wx.showToast({
        mask: true,
        title: msg,
        duration: 1200,
        image: '/images/error.png',
      })
    }
  },
  // 底部信息成功提示
  // showSuccess: function (msg) {
  //   wx.showToast({
  //     mask: true,
  //     title: msg,
  //     duration: 1200,
  //     image: '/assets/images/icon_quereng.png'
  //   })
  // },
  // 只显示文字
  showWord: function (msg) {
    wx.showToast({
      mask: true,
      title: msg,
      duration: 1200,
      icon: 'none',
    })
  },
  // 底部信息错误提示
  showError: function (msg) {
    wx.showToast({
      mask: true,
      title: msg,
      duration: 1200,
      icon: 'error',
    })
  },
})
