
// import app from '@/utils/lib/app'
const { host } = window.location,
  testHost = `//phpsdk.atvideo.cc`, // php sdk 部署的测试域名
  onLineHost = `//phpsdk.atvideo.cc`, // php sdk 部署的生产域名
  veLeapTestHost = `//dev.veleap.com`, // 请忽略
  veLeapOnLineHost = `//veleap.com`,   // 请忽略
  renderTestHost = '//veapidev.atvideo.cc', // 请忽略或去掉素材模块，用户获取 ve 自己提供的测试预设素材，
  renderOnLineHost = '//veapi.atvideo.cc',  // 请忽略或去掉素材模块，用户获取 ve 自己提供的测试预设素材，
  isLocal =
    host.indexOf("localhost") !== -1 ||
    host.indexOf("127.0.0.1") !== -1 ||
    host.indexOf("test") !== -1 ||
    host.indexOf("192.168.") !== -1;
    const pid = window.location.search.indexOf('pid') !== -1;
 
let env = {
  demoH5Host:'//web-demo-source.atvideo.cc/',//桌面测试生成的视频地址前缀

  // api 所使用的 host
  leapUploadUrl:'http://sh-vecloud-web-demo.oss-cn-shanghai.aliyuncs.com/',
  host: testHost,
  // 展示项目用到的 用户不用关心
  veLeapHost: veLeapTestHost,
  // 上传文件和渲染 api 返回的是相对路径 需要用户自己 根据自己的 oss 进行修改
  sourceHost: "//web-demo-source.atvideo.cc/",
};

if (isLocal) {
  env.host = testHost;
  env.veLeapHost = veLeapTestHost;
  env.renderHost = renderTestHost;
} else {
  env.host = onLineHost;
  env.veLeapHost = veLeapOnLineHost;
  env.renderHost = renderOnLineHost;
}

// 获取上传图片 upload token
const  getTokenUrl = `${pid ? env.renderHost + '/demo/main/get_oss_policy' : env.host + '/TemplateDemo.php?act=get_upload_key'}`;
env.getTokenUrl = getTokenUrl;

// 是否开启获取临时 session token
// 默认开启，如果是客户测试使用请设置为 false
env.enableSessionToken = false;


export default env;
