const colorList = [
  {
    id: 0,
    color: "#000000",
  },
  {
    id: 1,
    color: "#333333",
  },
  {
    id: 2,
    color: "#666666",
  },
  {
    id: 3,
    color: "#999999",
  },
  {
    id: 4,
    color: "#cccccc",
  },
  {
    id: 5,
    color: "#ffffff",
  },
  {
    id: 6,
    color: "#b61d1c",
  },
  {
    id: 7,
    color: "#dd1010",
  },
  {
    id: 8,
    color: "#f44336",
  },
  {
    id: 9,
    color: "#ef9a9a",
  },
  {
    id: 10,
    color: "#ffcdd3",
  },
  {
    id: 11,
    color: "#ffebee",
  },
  {
    id: 12,
    color: "#880e4f",
  },
  {
    id: 13,
    color: "#c2185b",
  },
  {
    id: 14,
    color: "#e91f62",
  },
  {
    id: 15,
    color: "#f48fb1",
  },
  {
    id: 16,
    color: "#f8bbd0",
  },
  {
    id: 17,
    color: "#fde4ec",
  },
  {
    id: 18,
    color: "#4a148c",
  },
  {
    id: 19,
    color: "#7b1fa2",
  },
  {
    id: 20,
    color: "#9c26b0",
  },
  {
    id: 21,
    color: "#ce93d8",
  },
  {
    id: 22,
    color: "#e1bee7",
  },
  {
    id: 23,
    color: "#f3e5f5",
  },
  {
    id: 24,
    color: "#311b92",
  },
  {
    id: 25,
    color: "#512da8",
  },
  {
    id: 26,
    color: "#673ab7",
  },
  {
    id: 27,
    color: "#b39ddb",
  },
  {
    id: 28,
    color: "#d0c4e9",
  },
  {
    id: 29,
    color: "#ede7f6",
  },
  {
    id: 30,
    color: "#1a237e",
  },
  {
    id: 31,
    color: "#30409f",
  },
  {
    id: 32,
    color: "#3e51b5",
  },
  {
    id: 33,
    color: "#9fa8da",
  },
  {
    id: 34,
    color: "#c5cae9",
  },
  {
    id: 35,
    color: "#e8eaf6",
  },
  {
    id: 36,
    color: "#0d47a1",
  },
  {
    id: 37,
    color: "#1976d2",
  },
  {
    id: 38,
    color: "#2196f3",
  },
  {
    id: 39,
    color: "#90caf9",
  },
  {
    id: 40,
    color: "#bbdefb",
  },
  {
    id: 41,
    color: "#e3f2fd",
  },
  {
    id: 42,
    color: "#016064",
  },
  {
    id: 43,
    color: "#0097a7",
  },
  {
    id: 44,
    color: "#03bcd4",
  },
  {
    id: 45,
    color: "#81d4fa",
  },
  {
    id: 46,
    color: "#b2eaf2",
  },
  {
    id: 47,
    color: "#e0f7fa",
  },
  {
    id: 48,
    color: "#004d3f",
  },
  {
    id: 49,
    color: "#00796b",
  },
  {
    id: 50,
    color: "#009688",
  },
  {
    id: 51,
    color: "#7fdeea",
  },
  {
    id: 52,
    color: "#b2dfdb",
  },
  {
    id: 53,
    color: "#e1f2f1",
  },
  {
    id: 54,
    color: "#1b5e20",
  },
  {
    id: 55,
    color: "#378e3c",
  },
  {
    id: 56,
    color: "#4caf50",
  },
  {
    id: 57,
    color: "#a5d6a7",
  },
  {
    id: 58,
    color: "#c7e6c9",
  },
  {
    id: 59,
    color: "#e9f4e9",
  },
  {
    id: 60,
    color: "#33691e",
  },
  {
    id: 61,
    color: "#699f38",
  },
  {
    id: 62,
    color: "#8bc349",
  },
  {
    id: 63,
    color: "#c5e1a5",
  },
  {
    id: 64,
    color: "#ddedc8",
  },
  {
    id: 65,
    color: "#f0f8e9",
  },
  {
    id: 66,
    color: "#827718",
  },
  {
    id: 67,
    color: "#afb42a",
  },
  {
    id: 68,
    color: "#cddc38",
  },
  {
    id: 69,
    color: "#e6ee9c",
  },
  {
    id: 70,
    color: "#f0f4c3",
  },
  {
    id: 71,
    color: "#f8fbe7",
  },
  {
    id: 72,
    color: "#f57f16",
  },
  {
    id: 73,
    color: "#fbbf2e",
  },
  {
    id: 74,
    color: "#feeb3c",
  },
  {
    id: 75,
    color: "#fff59d",
  },
  {
    id: 76,
    color: "#fff9c4",
  },
  {
    id: 77,
    color: "#fffde7",
  },
  {
    id: 78,
    color: "#ff6f00",
  },
  {
    id: 79,
    color: "#fea001",
  },
  {
    id: 80,
    color: "#ffc103",
  },
  {
    id: 81,
    color: "#ffcc80",
  },
  {
    id: 82,
    color: "#ffecb2",
  },
  {
    id: 83,
    color: "#fff8e1",
  },
  {
    id: 84,
    color: "#e65100",
  },
  {
    id: 85,
    color: "#f57c00",
  },
  {
    id: 86,
    color: "#ff9800",
  },
  {
    id: 87,
    color: "#ffcc80",
  },
  {
    id: 88,
    color: "#ffecb2",
  },
  {
    id: 89,
    color: "#fff8e1",
  },
  {
    id: 90,
    color: "#bf360d",
  },
  {
    id: 91,
    color: "#e64919",
  },
  {
    id: 92,
    color: "#ff7752",
  },
  {
    id: 93,
    color: "#ffab91",
  },
  {
    id: 94,
    color: "#ffccbc",
  },
  {
    id: 95,
    color: "#fbe9e8",
  },
  {
    id: 96,
    color: "#3e2723",
  },
  {
    id: 97,
    color: "#5d4037",
  },
  {
    id: 98,
    color: "#795548",
  },
  {
    id: 99,
    color: "#bcaaa4",
  },
  {
    id: 100,
    color: "#d7ccc9",
  },
  {
    id: 101,
    color: "#efebe9",
  },
  {
    id: 102,
    color: "#263238",
  },
  {
    id: 103,
    color: "#455a64",
  },
  {
    id: 104,
    color: "#607d8b",
  },
  {
    id: 105,
    color: "#90a3ae",
  },
  {
    id: 106,
    color: "#cfd8dd",
  },
  {
    id: 107,
    color: "#edeff1",
  },
];

export default colorList;
